[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# AppendStr

Append one ansistring to another.

## Declaration

Source position: sysstrh.inc line 70

`procedure AppendStr(`
`var Dest: string;`
`const S: string`
`);`

## Description

AppendStr appends S to Dest.

This function is provided for Delphi compatibility only, since it is completely equivalent to Dest:=Dest+S.

## Errors

None.

## See also

AssignStr |  | Assigns an ansistring to a null-terminated string.
NewStr |  | Allocate a new ansistring on the heap.
DisposeStr |  | Dispose an ansistring from the heap.

## Example

    Program Example62;

    { This program demonstrates the AppendStr function }

    Uses sysutils;

    Var S : AnsiString;

    Begin
      S:='This is an ';
      AppendStr(S,'AnsiString');
      Writeln ('S = "',S,'"');
    End.

Documentation generated on: Feb 26 2014